<?xml version="1.0"?>

<!-- Listing 21.7 - wine_notes.xsl -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

  <xsl:template match="/">

  <HTML>
    <HEAD>
      <TITLE>Online Wine Testing Notes</TITLE>
      <LINK rel = "stylesheet" type = "text/css"
            href = "wine_notes.css"/>
    </HEAD>
    <BODY>
      <H1>Online Wine Tasting Notes</H1>
     <TABLE border = "1" width="100%">
      <TR class="head">
        <TD class="head">Tasting Notes</TD>
      </TR>
      <TR>
        <TD>
          <TABLE width="100%">
          
            <xsl:for-each select="wine_notes/wine" order-by="-wine[@date]">
              <TR>
                <TD width = "100%">
                  <B>Entered: </B> <xsl:value-of select="@date"/><BR/>
                  <B>House:   </B> <xsl:value-of select="house"/><BR/>
                  <B>Region:  </B> <xsl:value-of select="region"/><BR/>
                  <B>Type:    </B> <xsl:value-of select="type"/><BR/>
                  <B>Vintage: </B> <xsl:value-of select="vintage"/><BR/>
                  <B>Notes:   </B> <PRE><SPAN><xsl:value-of select="notes"/></SPAN></PRE><BR/>      
                   <HR/>
                </TD>
              </TR>
            </xsl:for-each>

          </TABLE>    
        </TD>
      </TR>
     </TABLE>
    </BODY>
  </HTML>

  </xsl:template>

</xsl:stylesheet>