<?xml version="1.0"?>
<!--listing 16.7 - msg05.xsl -->

<xsl:stylesheet version="1.0"
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
     
    <xsl:template match="/">
       <HTML>
         <HEAD>
            <TITLE>Messages</TITLE>
         </HEAD>
         <BODY>
            <H1>My Messages</H1>
            <TABLE BORDER="1" WIDTH="100%">
                <xsl:apply-templates/>
            </TABLE>
         </BODY>
       </HTML>
    </xsl:template>
    
    <xsl:template match="msg">
        <TR>
            <xsl:apply-templates/>
        </TR>
    </xsl:template>
    
    <xsl:template match="note">
            <xsl:apply-templates select="msg">
                   <xsl:sort select="from" order="ascending"/>
            </xsl:apply-templates>
    </xsl:template>
    
    <xsl:template match="source | from | message">
        <TD>
            <xsl:apply-templates/>
        </TD>
    </xsl:template>
</xsl:stylesheet>