<HTML>
  <link rel = "stylesheet" type = "text/css"
   href = "wine_notes.css">
<%
' Listing 21.?? - add_notes.asp

' Variables from the wine_notes HTML form
  Dim wHouse
  Dim wRegion
  Dim wType
  Dim wVintage
  Dim wNotes

' XML DOM Object Variables
  Dim oWineNotesDOM
  Dim oWineNotesRootNode
  Dim oDateStamp
  Dim oWineNotesNodes

' Retrieve the http header values for further processing
  wHouse=Request("HOUSE")
  wRegion=Request("REGION")
  wType=Request("TYPE")
  wVintage=Request("VINTAGE")
  wNotes=Request("NOTES")

' Instantiate a DOM Document Object for the Wine Notes
  Set oWineNotesDOM = Server.CreateObject("Microsoft.XMLDOM")
  oWineNotesDOM.async = false
  
' Load the wine_notes.xml file into the Wine Notes DOM object
  oWineNotesDOM.load server.mappath("wine_notes.xml")

' Trap parser errors
  If oWineNotesDOM.parseError.ErrorCode <> 0 Then 
  
    'If an error occurs, create an empty XML document
    oWineNotesDOM.loadXML "<wine_notes/>"
  End If

' Issue a Time/Date Stamp for the entry of a new Wine Note
  Set oDateStamp = oWineNotesDOM.documentElement.AppendChild(oWineNotesDOM.createElement("wine"))
  oDateStamp.setAttribute "date", now()

' Build a new 'house' element node in the wine_notes.xml document
  Set oWineNotesNodes = oDateStamp.appendChild(oWineNotesDOM.createElement("house"))
  oWineNotesNodes.Text = wHouse

' Build a new 'region' element node in the wine_notes.xml document
  Set oWineNotesNodes = oDateStamp.appendChild(oWineNotesDOM.createElement("region"))
  oWineNotesNodes.Text = wRegion

' Build a new 'type' element node in the wine_notes.xml document
  Set oWineNotesNodes = oDateStamp.appendChild(oWineNotesDOM.createElement("type"))
  oWineNotesNodes.Text = wType

' Build a new 'vintage' element node in the wine_notes.xml document
  Set oWineNotesNodes = oDateStamp.appendChild(oWineNotesDOM.createElement("vintage"))
  oWineNotesNodes.Text = wVintage

' Build a new 'notes' element node in the wine_notes.xml document
' wrap the text entered in CDATA markup to preserve spaces enetered by users
  Set oWineNotesNodes = oDateStamp.appendChild(oWineNotesDOM.createElement("notes"))
  oWineNotesNodes.appendChild oWineNotesDOM.createCDATASection(wNotes)

' Save the modified wine_notes.xml document 
'     You must have write permissions enabled for the directory!
  oWineNotesDOM.Save Server.MapPath("wine_notes.xml")
%>
<BR/><BR/><BR/>
<H1>Thank You</H1>

<P>
<B>Your Wine Notes about : <%= sWine %></B><BR/>
</P>
<PRE>
<%= wNotes %>
</PRE>

<P><B>Have been entered</P>

<P>Click <A href="view_notes.asp">Here</A> To View Wine Notes</P>

</HTML>
